3v4l.org

run code in 300+ PHP versions simultaneously
<?php function foo($optional = null, $require) { }
Output for 8.0.0 - 8.0.2
Deprecated: Required parameter $require follows optional parameter $optional in /in/PRo9Y on line 3
Output for 7.3.0 - 7.3.27, 7.4.0 - 7.4.15